MPT_GETSCSIPORTSETTI(9)

NAME
mpt_GetScsiPortSettings - read SCSI Port Page 0 and 2

SYNOPSIS

int mpt_GetScsiPortSettings(MPT_ADAPTER * ioc, int portnum);

ARGUMENTS

ioc
    Pointer to a Adapter Strucutre

portnum
    IOC port number

RETURN

-EFAULT if read of config page header fails or if no nvram If read of SCSI Port Page 0 fails, NVRAM = MPT_HOST_NVRAM_INVALID (0xFFFFFFFF)

ADAPTER SETTINGS

async, narrow Return 1 If read of SCSI Port Page 2 fails, Adapter settings valid NVRAM = MPT_HOST_NVRAM_INVALID (0xFFFFFFFF) Return 1 Else Both valid Return 0 CHECK - what type of locking mechanisms should be used????

COPYRIGHT